server:
  port: 8080
spring:
  application:
    name: zodiac-shuttle-service
  profiles:
    active: dev
  # jackson时间格式化
  jackson:
    time-zone: GMT+8
    date-format: yyyy-MM-dd HH:mm:ss
  servlet:
    multipart:
      max-file-size: 2000MB
      max-request-size: 2000MB
  resource:
    static-locations: classpath:/static/,classpath:/public/
  datasource:
    type: com.zaxxer.hikari.HikariDataSource
    driver-class-name: com.mysql.cj.jdbc.Driver
    username: ${MYSQL-USER:root}
    password: ${MYSQL-PWD:root}
    url: jdbc:mysql://${MYSQL-HOST:127.0.0.1}:${MYSQL-PORT:3306}/${MYSQL-DB:zodiac-shuttle-data}?characterEncoding=utf8&zeroDateTimeBehavior=convertToNull&useSSL=false&useJDBCCompliantTimezoneShift=true&useLegacyDatetimeCode=false&serverTimezone=GMT%2B8&nullCatalogMeansCurrent=true&allowPublicKeyRetrieval=true
  data:
    redis:
      host: ${REDIS-HOST:127.0.0.1}
      port: 6379
      password: ''
      database: 1
    redisson:
      address: 127.0.0.1:6379
      password:
      type: STANDALONE
      enabled: true

mybatis-plus:
  # MyBatis Mapper所对应的XML文件位置
  mapper-locations: classpath:/mapper/**/*Mapper.xml, classpath*:com/gitee/sunchenbin/mybatis/actable/mapping/*/*.xml
  global-config:
    # 关闭MP3.0自带的banner
    banner: false
    db-config:
      # 主键类型 0:数据库ID自增 1.未定义 2.用户输入 3 id_worker 4.uuid 5.id_worker字符串表示
      id-type: ASSIGN_ID
      # 默认数据库表下划线命名
      table-underline: true
  configuration:
#    log-impl: org.apache.ibatis.logging.stdout.StdOutImpl
    log-impl: org.apache.ibatis.logging.nologging.NoLoggingImpl
#    map-underscore-to-camel-case: true
#    default-statement-timeout: 15
  # 返回类型为Map,显示null对应的字段
    call-setters-on-nulls: true

# actable的配置信息
#    none   系统不做任何处理。
#    create 系统启动后，会先将所有的表删除掉，然后根据model中配置的结构重新建表，该操作会破坏原有数据。
#    update 系统启动后，会自动判断哪些表是新建的，哪些字段要修改类型等，哪些字段要删除，哪些字段要新增，该操作不会破坏原有数据。
#    add    系统启动后，只做新增，比如新增表/新增字段/新增索引/新增唯一约束的功能，而不会去做修改和删除的操作 (只在版本1.0.9.RELEASE及以上支持)。
actable:
  table:
    auto: update
  model:
    pack: com.simba.zodiac.shuttle.database.entity
  database:
    type: mysql
  index:
    prefix: shuttle_idx #自己定义的索引前缀#该配置项不设置默认使用actable_idx_
  unique:
    prefix: shuttle_idx #自己定义的唯一约束前缀#该配置项不设置默认使用actable_uni_

# springdoc-openapi项目配置
springdoc:
  swagger-ui:
    path: /swagger-ui.html
    tags-sorter: alpha
    operations-sorter: alpha
  api-docs:
    path: /v3/api-docs
  group-configs:
    - group: 'default'
      paths-to-match: '/**'
      packages-to-scan: com.simba.zodiac.shuttle
#    - group: 'dcm'
#      paths-to-match: '/dcm/**'
#      packages-to-scan: com.dcm.modules.ds
# knife4j的增强配置，不需要增强可以不配
knife4j:
  enable: true
  setting:
    language: zh_cn


feign:
  plus:
    connect-timeout: 30000
    max-idle-connections: 520
    read-timeout: 30000
  rds:
#    url: http://192.168.58.3
#    port: 8081
    url: http://127.0.0.1
    port: 8080
  wms:
#    url: http://192.168.58.4
#    port: 7688
    url: http://127.0.0.1
    port: 8080

# token配置
token:
  # 令牌自定义标识
  header: Authorization

logging:
  level:
    org.flywaydb: debug
    top.crossoverjie: debug
    com.simba.zodiac: debug